Bug 1386908 - [RFE] Add ansible-related installer migrations to katello-installer
Summary: [RFE] Add ansible-related installer migrations to katello-installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Ivan Necas
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 19:20 UTC by Ivan Necas
Modified: 2019-11-05 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 16789 None None None 2016-10-19 19:20:45 UTC

Description Ivan Necas 2016-10-19 19:20:43 UTC
To reflect https://github.com/theforeman/foreman-installer/pull/202

Comment 1 Ivan Necas 2016-10-19 19:20:48 UTC
Created from redmine issue http://projects.theforeman.org/issues/16789

Comment 2 Ivan Necas 2016-10-19 19:20:53 UTC
Upstream bug assigned to inecas@redhat.com

Comment 6 Sachin Ghai 2018-07-16 02:40:41 UTC
Verified with Satellite 6.4.0 snap11.

I can see ansible related installer options in satellite installer:

~]# satellite-installer --help | grep ansible
    --[no-]enable-foreman-plugin-ansible Enable 'foreman_plugin_ansible' puppet module (default: true)
    --[no-]enable-foreman-proxy-plugin-ansible Enable 'foreman_proxy_plugin_ansible' puppet module (default: true)
= Module foreman_proxy_plugin_ansible:


Also can see ansible feature enabled on smart-proxy. Changes on filesystem can be seen with following:

~]# cat /usr/share/foreman-installer/modules/foreman_proxy/manifests/plugin/ansible/params.pp
# Ansible proxy default parameters
class foreman_proxy::plugin::ansible::params {
  $enabled     = true
  $listen_on   = 'https'
  $ansible_dir = '/usr/share/foreman-proxy'
  $working_dir = '/tmp'
  $host_key_checking = false
}


@Ivan: Could you please take a look and suggest if anything specific we should test for this RFE ?

Comment 7 Ivan Necas 2018-07-16 07:50:18 UTC
I confirm the verification steps are appropriate for this BZ.

Comment 8 Sachin Ghai 2018-07-16 08:46:36 UTC
Thanks Ivan. Moving this to verified

Comment 10 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.